#!/bin/sh

ACTION=`zenity --width=520 --height=340 --list --radiolist --text="Select option" --title="Welcome to Sysman2" --column "Choice" --column "Action" TRUE Screen_setup FALSE Memory_status FALSE Sound_selector FALSE Simple_mount FALSE Wallselector FALSE Wlansetup FALSE Netset FALSE Miimo_tool FALSE Apt_fetcher FALSE About`

if [ -n "${ACTION}" ];then
  case $ACTION in
  Screen_setup)
      zenity --question --text "Are you sure you want to continue?" && arandr
    ;;
    Sound_selector)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sh /usr/share/sound-selector.sh 
    ;;
    
    Memory_status)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sh /usr/share/memory.sh 
    ;;

    Simple_mount)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sh /usr/share/mount.sh 
      ;;
    Wallselector)
    zenity --question --text "Are you sure you want to continue?" &&  sh /usr/share/wallselector.sh 
    ;;
    
    Wlansetup)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sudo sh /usr/share/wlanset.sh 
    ;;
    
    Netset)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sudo sh /usr/share/netset.sh 
        ;;
Miimo_tool)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sh /usr/share/starter.sh 
        ;;

Apt_fetcher)
      zenity --question --text "Are you sure you want to continue?" && terminator -x sudo sh /usr/share/apt.sh 
        ;;

About)
     zenity --info --text="Sysman2.4.1 Copyright (C) 2015 JJ Posti from techtimejourney.net
This program comes with ABSOLUTELY NO WARRANTY; for details see: 
http://www.gnu.org/copyleft/gpl.html
This is free software, and you are welcome to redistribute it
under GPL Version 3, 29 June 2007."
    ;;    
    esac   
fi



